Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_SystemException Class Reference

CORBA_SystemException. More...

`#include <Exception.h>`

Inheritance diagram for CORBA_SystemException

[legend]
Collaboration diagram for CORBA_SystemException:

[legend]
List of all members.

## Public Methods
| CORBA_SystemException (void)
| Default constructtor.
| CORBA_SystemException (const CORBA_SystemException &src)
| Copy constructor.
| ~CORBA_SystemException (void)
| Destructor.
CORBA_SystemException& | operator= (const CORBA_SystemException &src)
| Assignment operator.
CORBA::ULong | minor (void) const
| Get the minor status.
void | minor (CORBA::ULong m)
| Set the minor status.
CORBA::CompletionStatus | completed (void) const
| Get the completion status.
void | completed (CORBA::CompletionStatus c)
| Set the operation completion status.
virtual int | _is_a (const char *type_id) const
| Helper for the _downcast operation.
void | _tao_print_system_exception (FILE *f = stdout) const
| Print the system exception <ex> to output determined by f. This function is not CORBA compliant.
virtual ACE_CString | _info (void) const
| Returns a string containing information about the exception. This function is not CORBA compliant.
virtual void | _tao_encode (TAO_OutputCDR &cdr, CORBA::Environment &) const
virtual void | _tao_decode (TAO_InputCDR &cdr, CORBA::Environment &)
## Static Public Methods
CORBA_SystemException* | _downcast (CORBA_Exception *exception)
| Narrow to a SystemException.
CORBA::ULong | _tao_minor_code (u_int location, int errno_value)
| Helper to create a minor status value.
CORBA::ULong | _tao_errno (int errno_value)
| Helper to translate a platform-specific errno to a TAO errno value.
## Protected Methods
| CORBA_SystemException (const char *repository_id, CORBA::ULong code, CORBA::CompletionStatus completed)
| Constructor using a repository id.
## Static Protected Methods
const char* | _tao_get_omg_exception_description ( const CORBA::SystemException &exc, CORBA::ULong minor_code)
| Return the exception description associated with the given OMG minor code.
## Private Attributes
CORBA::ULong | minor_
| Minor code.
CORBA::CompletionStatus | completed_
| Completion status.

## Detailed Description

CORBA_SystemException.

System exceptions are those defined in the CORBA spec; OMG-IDL defines these.

## Constructor & Destructor Documentation

CORBA_SystemException::CORBA_SystemException ( | void )

| Default constructtor.

CORBA_SystemException::CORBA_SystemException ( | const CORBA_SystemException & src )

| Copy constructor.

CORBA_SystemException::~CORBA_SystemException ( | void )

| Destructor.

CORBA_SystemException::CORBA_SystemException ( | const char * repository_id,
| CORBA::ULong code,
| CORBA::CompletionStatus completed )`[protected]`

| Constructor using a repository id.

## Member Function Documentation

CORBA_SystemException * CORBA_SystemException::_downcast ( | CORBA_Exception * exception )`[static]`

| Narrow to a SystemException. Reimplemented from CORBA_Exception.

ACE_CString CORBA_SystemException::_info ( | void ) const`[virtual]`

| Returns a string containing information about the exception. This function is not CORBA compliant. Reimplemented from CORBA_Exception.

int CORBA_SystemException::_is_a ( | const char * type_id ) const`[virtual]`

| Helper for the _downcast operation. Reimplemented from CORBA_Exception.

void CORBA_SystemException::_tao_decode ( | TAO_InputCDR & cdr,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from CORBA_Exception.

void CORBA_SystemException::_tao_encode ( | TAO_OutputCDR & cdr,
| CORBA::Environment & ACE_TRY_ENV ) const`[virtual]`

| Reimplemented from CORBA_Exception.

CORBA::ULong CORBA_SystemException::_tao_errno ( | int errno_value )`[static]`

| Helper to translate a platform-specific errno to a TAO errno value.

const char * CORBA_SystemException::_tao_get_omg_exception_description ( | const CORBA::SystemException & exc,
| CORBA::ULong minor_code )`[static, protected]`

| Return the exception description associated with the given OMG minor code.

CORBA::ULong CORBA_SystemException::_tao_minor_code ( | u_int location,
| int errno_value )`[static]`

| Helper to create a minor status value.

void CORBA_SystemException::_tao_print_system_exception ( | FILE * f = stdout ) const

| Print the system exception <ex> to output determined by f. This function is not CORBA compliant.

ACE_INLINE void CORBA_SystemException::completed ( | CORBA::CompletionStatus c )

| Set the operation completion status.

ACE_INLINE CORBA::CompletionStatus CORBA_SystemException::completed ( | void ) const

| Get the completion status.

ACE_INLINE void CORBA_SystemException::minor ( | CORBA::ULong m )

| Set the minor status.

ACE_INLINE CORBA::ULong CORBA_SystemException::minor ( | void ) const

| Get the minor status.

CORBA_SystemException & CORBA_SystemException::operator= ( | const CORBA_SystemException & src )

| Assignment operator.

## Member Data Documentation

CORBA::CompletionStatus CORBA_SystemException::completed_`[private]`

| Completion status.

CORBA::ULong CORBA_SystemException::minor_`[private]`

| Minor code.

The documentation for this class was generated from the following files:

- Exception.h
- Exception.cpp
- Exception.i